# frozen_string_literal: true
require_relative 'lib/openvpn_configurator/version'

Gem::Specification.new do |spec|
	spec.name = 'openvpn_configurator'
	spec.version = OpenVPNConfigurator::VERSION
	spec.authors = ['Aaron Ten Clay']
	spec.email = ['rubygems+openvpn_configurator@aarontc.com']

	spec.summary = %q{Assists in generating OpenVPN configurations.}
	spec.homepage = 'https://github.com/aarontc/openvpn-configurator'
	spec.license = 'MIT'
	spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

	spec.metadata['homepage_uri'] = spec.homepage
	spec.metadata['source_code_uri'] = 'https://github.com/aarontc/openvpn-configurator'
	spec.metadata['changelog_uri'] = 'https://github.com/aarontc/openvpn-configurator/blob/master/CHANGELOG.md'

	# Specify which files should be added to the gem when it is released.
	# The `git ls-files -z` loads the files in the RubyGem that have been added into git.
	spec.files = Dir.chdir(File.expand_path('..', __FILE__)) do
		`git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
	end
	spec.bindir = 'exe'
	spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
	spec.require_paths = ['lib']

	spec.add_dependency 'gelf', '~> 3.1.0'
	spec.add_dependency 'json', '~> 2.3.0'
	spec.add_dependency 'netaddr', '~> 2.0.4'
	spec.add_dependency 'optimist', '~> 3.0.1'
	spec.add_dependency 'rest-client', '~> 2.1.0'
	spec.add_dependency 'semantic_logger', '~> 3.4.1'
	spec.add_dependency 'statsd-ruby', '~> 1.4.0'

	spec.add_development_dependency 'awesome_print', '~> 1.8.0'
	spec.add_development_dependency 'hashdiff', '~> 1.0.1'
	spec.add_development_dependency 'minitest', '~> 5.14.0'
	spec.add_development_dependency 'minitest-reporters', '~> 1.4.2'
	spec.add_development_dependency 'rr', '~> 1.2.1'
	spec.add_development_dependency 'timecop', '~> 0.9.0'
end
